=== modified file 'Makefile'
--- Makefile	2024-09-09 01:36:41 +0000
+++ Makefile	2024-09-09 04:24:39 +0000
@@ -289,6 +289,13 @@
 		--expression='s/\(mandos_\)[0-9.]\+\(\.orig\.tar\.gz\)/\1$(version)\2/' \
 		$@)
 
+# Uses nested functions
+plugin-runner: LDFLAGS += -Xlinker --no-warn-execstack
+dracut-module/password-agent: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/password-prompt: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/mandos-client: LDFLAGS += -Xlinker --no-warn-execstack
+plugins.d/plymouth: LDFLAGS += -Xlinker --no-warn-execstack
+
 # Need to add the GnuTLS, Avahi and GPGME libraries
 plugins.d/mandos-client: CFLAGS += $(GNUTLS_CFLAGS) $(strip \
 	) $(AVAHI_CFLAGS) $(GPGME_CFLAGS)

=== modified file 'plugins.d/plymouth.c'
--- plugins.d/plymouth.c	2022-04-24 16:54:30 +0000
+++ plugins.d/plymouth.c	2024-09-09 04:24:39 +0000
@@ -372,7 +372,8 @@
       error_plus(0, errno, "scandir");
     }
     if(ret > 0){
-      for(int i = ret-1; i >= 0; i--){
+      const int num_entries = ret;
+      for(int i = 0; i < num_entries; i++){
 	if(proc_id == 0){
 	  ret = sscanf(direntries[i]->d_name, "%" SCNuMAX, &proc_id);
 	  if(ret < 0){

